ros-melodic-transmission-interface (0.18.3-1stretch) stretch; urgency=high

  * Update docs in hardware_interface
  * Contributors: Franz Pucher

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-transmission-interface (0.18.2-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Aug 2020 23:00:00 -0000

ros-melodic-transmission-interface (0.18.1-1stretch) stretch; urgency=high

  * Add function specifiers and modernize constructors (#430 <https://github.com/ros-controls/ros_control/issues/430>)
    * Add override specifiers & default constructors
    * Delete ControllerBase copy & move ctors
    * Remove unnecessary default constructors
    * Modernize additional constructors
    * Revert ImuSensorHandle::Data::Data() = default
    * Remove unnecessary default overridden constructors
    * Remove semicolon after function body
  * Contributors: Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 May 2020 23:00:00 -0000

ros-melodic-transmission-interface (0.18.0-1stretch) stretch; urgency=high

  * Add xmlns for URDF, remove xmlns:xacro (#436 <https://github.com/ros-controls/ros_control/issues/436>)
  * Fixed compile tests (#434 <https://github.com/ros-controls/ros_control/issues/434>)
  * Replace internal::is_permutation with std (#419 <https://github.com/ros-controls/ros_control/issues/419>)
  * Bump CMake version to avoid CMP0048 (#427 <https://github.com/ros-controls/ros_control/issues/427>)
  * Contributors: Alejandro Hernández Cordero, Matt Reynolds, Shane Loretz

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-melodic-transmission-interface (0.17.0-1stretch) stretch; urgency=high

  * Use default member initializers
  * Use braces for member initializers
  * Replace boost with std
  * Replace boost ptrs with std ptrs in documentation
  * Replace boost::lexical_cast<double> with std::stod
  * Prefer default member initializers
  * Use auto
  * Contributors: AbhinavSingh, Bence Magyar, Matt Reynolds

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 24 Feb 2020 00:00:00 -0000

ros-melodic-transmission-interface (0.16.0-1stretch) stretch; urgency=high

  * Use more meaningful pair iterator names
  * Use range-based for loops in transmission_interface
  * Resolve Boost dependency issues
  * Update dependencies
    - Dependencies needed to compile are <build_depend>
    - Dependencies used in public headers are <build_export_depend>
    - Dependencies needed to link or run are <exec_depend>
  * Merge branch 'melodic-devel' into catkin-lint
  * Update package dependencies
  * Remove rosunit test_depend from package.xml
  * Prefer nullptr for null pointers
  * Merge pull request #406 <https://github.com/ros-controls/ros_control/issues/406> from matthew-reynolds/pragma-once
    Use #pragma once
  * Add missing header guard to loader_utils.h
  * Replace header guard with #pragma once
  * Merge pull request #395 <https://github.com/ros-controls/ros_control/issues/395> from pal-robotics-forks/extend-interfaces-melodic
    Extend interfaces
  * Add torque sensor and absolute encoder support to transmissions and adjust tests
    Add pointer accessors for torque sensor and absoute position encoders
  * Modified structures to have absolute encoder and torque sensor parameters
  * Fix transmission_interface dependencies
  * Apply consistent style to CMakeLists.txt files
  * Apply consistent style to package.xml files
  * Merge pull request #399 <https://github.com/ros-controls/ros_control/issues/399> from mvieth/melodic-devel
    Fix compiler warnings
  * Fix compiler warnings
    - Comment out unused parameters
    - Make some integer literals unsigned to avoid comparison between signed and unsigned
    - Remove unnecessary semicolons
    - Make const void return type to void
  * Fix build error in clang
    error: non-aggregate type 'std::vector' (aka 'vector >') cannot be initialized with an initializer list
  * Merge pull request #379 <https://github.com/ros-controls/ros_control/issues/379> from bmagyar/transmission-parser-touchup
    TransmissionParser touchup
  * Fix typo in docs
  * TransmissionParser private -> protected
  * fix install destination (#377 <https://github.com/ros-controls/ros_control/issues/377>)
  * Contributors: Bence Magyar, Gennaro Raiola, Hilario Tome, James Xu, Markus Vieth, Matt Reynolds, Victor Lopez

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Jan 2020 00:00:00 -0000

ros-melodic-transmission-interface (0.15.1-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 29 Sep 2018 23:00:00 -0000

ros-melodic-transmission-interface (0.15.0-1stretch) stretch; urgency=high

  * Remove deprecated typedef
  * BOOST_FOREACH -> C++11 for
  * boost::shared_ptr -> std::shared_ptr
  * Introduce shared_ptr typedefs
  * Contributors: Bence Magyar, Mathias Lüdtke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 May 2018 23:00:00 -0000

ros-melodic-transmission-interface (0.14.2-1stretch) stretch; urgency=high

  * Update maintainers
  * Fix catkin_lint errors and warnings
  * fix license string
  * Update transmission parser to parse the joint role
  * Contributors: Bence Magyar, Patrick Holthaus, jlack1987

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-melodic-transmission-interface (0.14.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-melodic-transmission-interface (0.14.0-1stretch) stretch; urgency=high

  * migrate to new class list macros header
  * migrate classloader headers
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-melodic-transmission-interface (0.13.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-melodic-transmission-interface (0.12.0-1stretch) stretch; urgency=high

  * Add unit tests for new bidirectional joint interface providers
  * Add bidirectional joint interface providers
  * Add inverse transmission interfaces to TransmissionLoaderData
  * Contributors: Jordan Lack

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-melodic-transmission-interface (0.11.5-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-melodic-transmission-interface (0.11.4-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-melodic-transmission-interface (0.11.3-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-melodic-transmission-interface (0.11.2-1stretch) stretch; urgency=high

  * Add Enrique and Bence to maintainer list
  * Clean up export leftovers from rosbuild
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-melodic-transmission-interface (0.11.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-melodic-transmission-interface (0.11.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 22 May 2016 23:00:00 -0000

ros-melodic-transmission-interface (0.10.1-1stretch) stretch; urgency=high

  * Remove control_toolbox dependency. Fix thread linking error coming from removal of dependency.
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-melodic-transmission-interface (0.10.0-1stretch) stretch; urgency=high

  * Allow loading transmissions from a vector of TransmissionInfo instances.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-melodic-transmission-interface (0.9.3-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-melodic-transmission-interface (0.9.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-melodic-transmission-interface (0.9.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-melodic-transmission-interface (0.9.0-1stretch) stretch; urgency=high

  * Buildsystem and documentation fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, shadowmanos

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-melodic-transmission-interface (0.8.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-melodic-transmission-interface (0.8.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-melodic-transmission-interface (0.8.0-1stretch) stretch; urgency=high

  * Add developer documentation.
  * Build script fixes.
    - Add missing libraries to catkin_package call.
    - Gate tests with CATKIN_ENABLE_TESTING.
    - Add missing files to install target.
  * Fix possible memory corruption in tests.
  * Perform sanity checks on members, not parameters.
    - The result is the same, but this is more uniform with the rest of the code.
  * Enable joint reduction spec for 4-bar linkages.
    - As in the differential transmission, it's convenient to specify an additional
    mechanical reduction on the joint output. This is especially convenient for
    flipping the rotation direction of a joint (negative reduction value).
    - Update URDF loader.
    - Update documentation and tests.
  * Trivial, cosmetic fixes.
  * C++11 compatibility fixes.
  * Fix resource check for multi-dof transmisisons.
  * Efficiency fix.
    - cppcheck flagged a [passedByValue] warning. Using const references instead.
  * Fix compiler warning.
  * Fix license header in some files.
  * Test transmission handle duplication.
  * Use less pointers in transmission loader data.
    - Only RobotHW and RobotTransmission instances are pointers as they are owned
    by the robot hardware abstraction. The rest are plain members whose lifetime
    is bound to the loader struct.
  * Trivial test addition.
  * Remove unnecessary header dependencies.
  * Catkin fixes.
  * Fix bug when adding multiple transmissions.
    - std::vectors were being used to store raw joint data, and when new transmissions
    were added, push_back()s would (potentially) reallocate the vectors and
    invalidate already stored pointers in hardware_interfaces. We now use std::map.
    - Move plugin implementations to a separate library.
    - Export link libraries to the outside.
    - More complete tests.
  * Log message change.
  * Test greceful error-out with unsupported features.
  * Add four-bar-linkage transmission parser.
  * Add differential drive transmission parser.
  * Move common XML parsing code to TransmissionLoader
    Mechanical reductions, offsets and roles are used by many transmission types.
    The TransmissionLoader base class exposes convenience methods for parsing these
    elements.
  * Remove dead code.
  * Update loader test, better log statements.
  * First draft of transmission loading.
    - Only simple transmission type currently supported.
    - Can load forward map for act->jnt state and jnt->act pos,vel.eff commands.
    - Partial testing.
  * Add class for holding transmission interfaces.
    - Mirrors hardware_interface::RobotHW, but for transmissions.
  * Allow multiple hw interfaces, Fix #112 <https://github.com/ros-controls/ros_control/issues/112>, and test.
    - Allow to specify multiple hardware interfaces for joints and actuators.
    - Fix invalid xml_element tag. Contents are now stored as a string.
    - Unit test parser.
  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 11 May 2014 23:00:00 -0000

ros-melodic-transmission-interface (0.7.2-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-melodic-transmission-interface (0.7.1-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-melodic-transmission-interface (0.7.0-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-melodic-transmission-interface (0.6.0-1stretch) stretch; urgency=high

  * Add accessors to get transmission configuration.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-melodic-transmission-interface (0.5.8-1stretch) stretch; urgency=high

  * Renamed manifest.xml to prevent conflicts with rosdep
  * CMakeLists fix to fit with OpenEmbedded/Yocto meta-ros layer.
    Increase the compatibility of the ros_control code with
    meta-ros, an OpenEmbedded/Yocto layer that provides recipes for ROS
    packages disabling catking checking the variable CATKIN_ENABLE_TESTING.
  * Fix license header in some files.
  * Fix cppcheck uninit'd variable warnings in tests.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-melodic-transmission-interface (0.5.7-1stretch) stretch; urgency=high

  * Fix for building ros_control
  * Updated CHANGELOG

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-melodic-transmission-interface (0.5.6-1stretch) stretch; urgency=high

  * NOTE: ros_control now requires ros-*-cmake-modules for source-installations. Install via rosdep or manually
  * Removed the local FindTINYXML.cmake and switched to catkin's cmake_modules version
  * Installed missing transmission_interface_library

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-melodic-transmission-interface (0.5.5-1stretch) stretch; urgency=high

  * transmission_interface: fixup finding tinyxml

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-melodic-transmission-interface (0.5.4-1stretch) stretch; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-melodic-transmission-interface (0.5.3-1stretch) stretch; urgency=high

  * Duplicated URDF's method of including tinyxml

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-melodic-transmission-interface (0.5.2-1stretch) stretch; urgency=high

  * Trivial cleanup
  * tinyxml include dir fix

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-melodic-transmission-interface (0.5.1-1stretch) stretch; urgency=high

  * Added new maintainer
  * Attempt to fix transmission interface tinyxml build error

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Thu, 18 Jul 2013 23:00:00 -0000

ros-melodic-transmission-interface (0.5.0-1stretch) stretch; urgency=high

  * Minor Doxygen fixes.
    - Revert back to using file instead of brief, as the latter was documenting
    the namespace and not the file scope.
    - Escape angular brackets on XML tag documentation, as Doxygen was parsing them
    printing warnings.
    @davetcoleman
  * Code consistency fixes.
    - Add missing header guard.
    - Make existing header guards comply with the NAMESPACE_CLASS_H convention.
    - Make Doxygen structural commands start with '' instead of '@', as most of the
    new ros_control code.
    - Remove trailing whitespaces.
    - Remove commented-out code used for debugging.
  * Build script fixes.
    - Add missing tinyxml dependency.
    - Drop unnecessary Boost dependency.
    - Add URDF parsing code to rosbuild.
  * Add meta tags to packages not specifying them.
    - Website, bugtracker, repository.
  * Documentation improvements.
    - More consistency between transmission and joint limits interfaces doc.
    - Make explicit that these interfaces are not meant to be used by controllers,
    but by the robot abstraction.
  * Transmission parsing
  * Merged hydro-devel into master
  * Fix doc typo. Refs #78 <https://github.com/davetcoleman/ros_control/issues/78>.
  * Tests build.
  * Reneamed Github repo in documentation to ros-controls
  * Make specific transmission interfaces proper types.
    - Proper types instead of namespaces allow to provide less cryptic feedback.
    * Using typedefs:
    "transmission_interface::TransmissionInterface<transmission_interface::ActuatorToJointPositionHandle>"
    * Using a new type:
    "transmission_interface::ActuatorToJointPositionInterface"
    - Added error message printing to tests for manual inspection.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 15 Jul 2013 23:00:00 -0000

ros-melodic-transmission-interface (0.4.0-1stretch) stretch; urgency=high

  * Version 0.4.0
  * 1.0.1
  * Update Doxygen examples with recent API changes.
  * Update README.md
    Move examples out of readme and into ros_control's wiki.
  * Trivial doc/whitespace fix.
  * Merge branch 'master' into hardware_interface_rework
    Conflicts:
    hardware_interface/CMakeLists.txt
  * Leverage ResourceManager in TransmissionInterface.
    - Refs #45 <https://github.com/davetcoleman/ros_control/issues/45> and #48 <https://github.com/davetcoleman/ros_control/issues/48>.
    - Leverage hardware_interface::internal::ResourceManager to implement
    TransmissionInterface more compactly and consistently.
    - Update unit tests.
  * adding install targets
  * adding missing manifests
  * removing comment
  * merging CMakeLists.txt files from rosbuild and catkin
  * adding hybrid-buildsystem makefiles
  * Harmonize how variables are quoted in logs.
    - Unify to using 'single quotes'.
    - Fixes #42 <https://github.com/davetcoleman/ros_control/issues/42>.
  * catkinizing, could still be cleaned up
  * Group transmission types in a Doxygen module.
  * Rename TransmissionException class.
    Rename TransmissionException to TransmissionInterfaceException. It is more
    verbose, but more consistent with the existing HardwareInterfaceException.
  * Add additional minimal example to mainpage doc.
    Existing example was complete, but quite long. It's better to start with a
    small and simple example.
  * Update README.md
    Add additional minimal example.
  * Update package wiki URL.
  * Update README.md
  * Update README.md
  * Trivial doc fix.
  * Add main page to documentation.
    It includes an overview of the transmission_interface package, pointers to the
    more relevant classes, and a commented example.
  * Make transmission interface more general.
    The previous API assumed that to map a variable like position, one only
    needed actuator and joint space position variables. Although this is often the
    case (eg. fully actuated/determined transmissions), this does not hold in
    general. Underactuated transmissions are a typical example of this.
    Now each map accepts full <position,velocity,effort> triplets for actuator and
    joint space variables, and uses only the ones it needs.
    Although the current API has gained in generality, it has lost some of the
    explicitness it had before. For instance, if only position variables are
    needed for a map, one still needs to pass the full triplet (velocity and
    effort variables can be empty).
    Finally, unit tests and documentation have been updated to reflect the changes.
  * Minor documentation building fixes.
    - Remove test folder from docs.
    - Add proper export element in manifest.
  * Update transmission_interface/README.md
  * Update transmission_interface/README.md
  * Add readme file.
  * Remove pure virtual method.
  * Use name commands in documentation.
  * Add pthread dependency to tests.
    After moving from Ubuntu 10.04 to 12.04 these dependencies need to be explicitly
    stated in my dev machine. This should be looked upon in greater detail, as such
    dependecies should be taken care of by rosbuild.
  * Remove dependency from manifest.
  * Add transmission interface class and test.
  * Add transmission accessors test.
  * Remove unnecessary virtual keywords.
  * Add credit statement in docs.
  * Add comprehensive doc to implemented transmissions.
    - More desriptive overview.
    - Images depicting each transmission type. Binary pngs  are under version control
    instead of getting auto-generated in the Makefile as not all build environments
    may have the necessary svg->png filters.
    - Expressions governing transmissions in tabular form.
  * Basic documentation for implemented transmissions.
  * Document abstract Transmission class.
  * Add basic support for mechanical transmissions.
    - Base transmission class with abstract interface.
    - Specializations for three common transmission types: simple, differential and
    four-bar-linkage.
    - Unit tests with exercising preconditions, black-box and white-box tests.

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 24 Jun 2013 23:00:00 -0000


